@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  QuickLoad-Central startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and QUICK_LOAD_CENTRAL_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS="-Xmx2048m"

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\StdfConverterUI-1.4.99.jar;%APP_HOME%\lib\jfreechart-1.0.19.jar;%APP_HOME%\lib\jPDFWriter.v2016R1.04.jar;%APP_HOME%\lib\QuickEdit.jar;%APP_HOME%\lib\jide-oss-3.6.18.jar;%APP_HOME%\lib\guava-23.0.jar;%APP_HOME%\lib\commons-csv-1.8.jar;%APP_HOME%\lib\pdfbox-1.8.7.jar;%APP_HOME%\lib\aws-java-sdk-s3-1.11.555.jar;%APP_HOME%\lib\aws-java-sdk-kms-1.11.555.jar;%APP_HOME%\lib\aws-java-sdk-core-1.11.555.jar;%APP_HOME%\lib\fontbox-1.8.7.jar;%APP_HOME%\lib\httpclient-4.5.5.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\orange-extensions-1.3.0.jar;%APP_HOME%\lib\gson-2.7.jar;%APP_HOME%\lib\commons-cli-1.4.jar;%APP_HOME%\lib\junit-4.8.2.jar;%APP_HOME%\lib\poi-ooxml-4.1.2.jar;%APP_HOME%\lib\poi-4.1.2.jar;%APP_HOME%\lib\commons-math3-3.6.1.jar;%APP_HOME%\lib\poi-ooxml-schemas-4.1.2.jar;%APP_HOME%\lib\commons-compress-1.20.jar;%APP_HOME%\lib\commons-collections4-4.4.jar;%APP_HOME%\lib\xmlbeans-3.1.0.jar;%APP_HOME%\lib\stax-api-1.0.1.jar;%APP_HOME%\lib\jcommon-1.0.24.jar;%APP_HOME%\lib\thumbnailator-0.4.3.jar;%APP_HOME%\lib\mssql-jdbc-8.4.1.jre8.jar;%APP_HOME%\lib\log4j-1.2.17.jar;%APP_HOME%\lib\sqlite-jdbc-3.35.0.1.jar;%APP_HOME%\lib\groovy-sql-2.5.14.jar;%APP_HOME%\lib\groovy-swing-2.5.14.jar;%APP_HOME%\lib\groovy-2.5.14.jar;%APP_HOME%\lib\postgresql-42.2.19.jar;%APP_HOME%\lib\jsr305-1.3.9.jar;%APP_HOME%\lib\error_prone_annotations-2.0.18.jar;%APP_HOME%\lib\j2objc-annotations-1.1.jar;%APP_HOME%\lib\animal-sniffer-annotations-1.14.jar;%APP_HOME%\lib\jempbox-1.8.7.jar;%APP_HOME%\lib\commons-codec-1.13.jar;%APP_HOME%\lib\SparseBitSet-1.2.jar;%APP_HOME%\lib\curvesapi-1.06.jar;%APP_HOME%\lib\jmespath-java-1.11.555.jar;%APP_HOME%\lib\ion-java-1.0.2.jar;%APP_HOME%\lib\jackson-databind-2.6.7.2.jar;%APP_HOME%\lib\jackson-dataformat-cbor-2.6.7.jar;%APP_HOME%\lib\joda-time-2.8.1.jar;%APP_HOME%\lib\checker-qual-3.5.0.jar;%APP_HOME%\lib\httpcore-4.4.9.jar;%APP_HOME%\lib\jackson-annotations-2.6.0.jar;%APP_HOME%\lib\jackson-core-2.6.7.jar


@rem Execute QuickLoad-Central
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %QUICK_LOAD_CENTRAL_OPTS%  -classpath "%CLASSPATH%" spry.filemanager.StdfFileManager %*

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable QUICK_LOAD_CENTRAL_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%QUICK_LOAD_CENTRAL_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
